org.jgroups.protocols

## Enum STOMP.StompHeader.Type

- java.lang.Object
- - java.lang.Enum<STOMP.StompHeader.Type>
  - - org.jgroups.protocols.STOMP.StompHeader.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<STOMP.StompHeader.Type>

Enclosing class:
  STOMP.StompHeader

    public static enum STOMP.StompHeader.Type
    extends java.lang.Enum<STOMP.StompHeader.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ENDPOINT`
`MESSAGE`

### Method Summary

Methods
`static STOMP.StompHeader.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static STOMP.StompHeader.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MESSAGE

    public static final STOMP.StompHeader.Type MESSAGE

#### ENDPOINT

    public static final STOMP.StompHeader.Type ENDPOINT

### Method Detail

#### values

    public static STOMP.StompHeader.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (STOMP.StompHeader.Type c : STOMP.StompHeader.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static STOMP.StompHeader.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null